Exiv2::Internal::SamsungMnHeader Class Reference

Header of a Samsung Makernote, only used for the relative offset. More...

`#include <makernote_int.hpp>`

Inheritance diagram for Exiv2::Internal::SamsungMnHeader:
[legend]

## Public Member Functions

Creators
| SamsungMnHeader ()
| Default constructor.
Manipulators
virtual bool | read (const byte *pData, uint32_t size, ByteOrder byteOrder)
| Read the header from a data buffer, return true if ok.
Accessors
virtual uint32_t | size () const
| Return the size of the header (in bytes).
virtual uint32_t | write (IoWrapper &ioWrapper, ByteOrder byteOrder) const
| Write the header to a data buffer, return the number of bytes written.
virtual uint32_t | baseOffset (uint32_t mnOffset) const
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.
Public Member Functions inherited from Exiv2::Internal::MnHeader
virtual | ~MnHeader ()
| Virtual destructor.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order for the makernote.
virtual uint32_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).
virtual ByteOrder | byteOrder () const
| Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.

## Detailed Description

Header of a Samsung Makernote, only used for the relative offset.

The documentation for this class was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp